allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From brond...@apache.org
Subject [allura] 06/16: [#8375] requirements fine-tuning
Date Thu, 27 Aug 2020 20:35:31 GMT
This is an automated email from the ASF dual-hosted git repository.

brondsem pushed a commit to branch db/8375
in repository https://gitbox.apache.org/repos/asf/allura.git

commit 886cd0d962fc4fc0661313830b991135a0875ae8
Author: Dave Brondsema <dave@brondsema.net>
AuthorDate: Tue Aug 25 11:37:54 2020 -0400

    [#8375] requirements fine-tuning
---
 requirements.in  | 2 ++
 requirements.txt | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/requirements.in b/requirements.in
index af2dc8d..a4da5a0 100644
--- a/requirements.in
+++ b/requirements.in
@@ -8,6 +8,8 @@ cryptography==2.6.1
 decorator
 EasyWidgets>=0.3.6
 emoji
+# only needed < py3.4 and causes problems >=3.6 https://stackoverflow.com/a/45716067/
+enum34 ; python_version < "3.4"
 faulthandler ; python_version < "3.3"
 feedgenerator
 feedparser
diff --git a/requirements.txt b/requirements.txt
index fcc1a31..ec7dc38 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -24,7 +24,7 @@ decorator==4.4.0          # via -r requirements.in, ipython, traitlets
 docutils==0.15.2          # via pypeline
 easywidgets==0.3.6        # via -r requirements.in
 emoji==0.5.3              # via -r requirements.in
-enum34==1.1.6             # via colander, cryptography, traitlets
+enum34==1.1.6 ; python_version < "3.4"  # via -r requirements.in, colander, cryptography,
traitlets
 faulthandler==3.1 ; python_version < "3.3"  # via -r requirements.in
 feedgenerator==1.9.1      # via -r requirements.in
 feedparser==5.2.1         # via -r requirements.in


Mime
View raw message